# Helpers

#### getBlockTime[​](https://wiki.findora.org/docs/developers/utxo/sdk-api/sdk_api_helpers#getblocktime) <a href="#getblocktime" id="getblocktime"></a>

***- Get Block Time by given block height.***\
Using this function, user can get block time by given block height

**Parameters:**[**​**](https://wiki.findora.org/docs/developers/utxo/sdk-api/sdk_api_helpers#parameters)

* &#x20; `<number>` - block height

**Results:**[**​**](https://wiki.findora.org/docs/developers/utxo/sdk-api/sdk_api_helpers#results)

* &#x20; `Promise<undefined | string>` - Block time

**Example:**[**​**](https://wiki.findora.org/docs/developers/utxo/sdk-api/sdk_api_helpers#example)

```typescript
const blockHeight = 2341;
// Get block time at Block #2341
const blockTime = await helpers.getBlockTime(blockHeight);
```

#### getTxListFromResponse[​](https://wiki.findora.org/docs/developers/utxo/sdk-api/sdk_api_helpers#gettxlistfromresponse) <a href="#gettxlistfromresponse" id="gettxlistfromresponse"></a>

***- Get Transaction List by given transaction data response.***\
Using this function, user can Get Transaction List by given transaction data response

**Parameters:**[**​**](https://wiki.findora.org/docs/developers/utxo/sdk-api/sdk_api_helpers#parameters-1)

* &#x20; `<TxListDataResult>` - transaction data response

**Results:**[**​**](https://wiki.findora.org/docs/developers/utxo/sdk-api/sdk_api_helpers#results-1)

* &#x20; `Promise<null | TxInfo[]>` - transaction list

**Example:**[**​**](https://wiki.findora.org/docs/developers/utxo/sdk-api/sdk_api_helpers#example-1)

```typescript
const address = "fra12dsfew";
const type = "to";
const dataResult = await Network.getTxList(address, type);
// Get tx list
const txList = await helpers.getTxListFromResponse();
```

#### getTxOperationsList[​](https://wiki.findora.org/docs/developers/utxo/sdk-api/sdk_api_helpers#gettxoperationslist) <a href="#gettxoperationslist" id="gettxoperationslist"></a>

***- Get Operation List by given parsed transaction***\
Using this function, user can Get Transaction List by given parsed transaction

**Parameters:**[**​**](https://wiki.findora.org/docs/developers/utxo/sdk-api/sdk_api_helpers#parameters-2)

* &#x20; `<ParsedTx>` - parsed tx info

**Results:**[**​**](https://wiki.findora.org/docs/developers/utxo/sdk-api/sdk_api_helpers#results-2)

* &#x20; `TxOperation[]>` - transaction operation list

**Example:**[**​**](https://wiki.findora.org/docs/developers/utxo/sdk-api/sdk_api_helpers#example-2)

```typescript
const address = "fra12dsfew";
const type = "to";
const dataResult = await Network.getTxList(address, type);
// Get tx list
const txList = await helpers.getTxListFromResponse();
// Get one parsed tx
parsedTx = JSON.parse(Base64.decode(txList[0].tx));
// Get operation Lsit
opList = helpers.getTxOperationsList(parsedTx);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.findora.org/developers/developer-sdks/utxo-native-chain-sdk/utxo-api-reference/helpers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
